<?php

BOL_LanguageService::getInstance()->addPrefix('adminwidgets', 'Admin Widget');

OW::getLanguage()->importPluginLangs(OW::getPluginManager()->getPlugin('adminwidgets')->getRootDir() . 'langs.zip', 'adminwidgets');

OW::getPluginManager()->addPluginSettingsRouteName('adminwidgets', 'adminwidgets_admin_links');

OW::getDbo()->query("
   CREATE TABLE IF NOT EXISTS `" . OW_DB_PREFIX . "adminwidgets_section` (
  `id` int(11) NOT NULL auto_increment,
  `section`int(2),
  `name` varchar(200),
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");

OW::getDbo()->query("
   CREATE TABLE IF NOT EXISTS `" . OW_DB_PREFIX . "adminwidgets_links` (
  `id` int(11) NOT NULL auto_increment,
  `url` varchar(2000),
  `text` varchar(200),
  `section` int(2), 
  `private` tinyint(1),   
  `timestamp` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1");

OW::getDbo()->query("INSERT INTO `" . OW_DB_PREFIX . "adminwidgets_section` (`id`, `section`, `name`) VALUES(1, 1,'General');");
OW::getDbo()->query("INSERT INTO `" . OW_DB_PREFIX . "adminwidgets_section` (`id`, `section`, `name`) VALUES(2, 2,'Members');");
OW::getDbo()->query("INSERT INTO `" . OW_DB_PREFIX . "adminwidgets_links` (`id`, `url`, `text`, `section`, `private`, `timestamp`) VALUES(1, '" . OW_URL_HOME . "','Home',1,0," . time() . ");");
OW::getDbo()->query("INSERT INTO `" . OW_DB_PREFIX . "adminwidgets_links` (`id`, `url`, `text`, `section`, `private`, `timestamp`) VALUES(2, '" . OW::getRouter()->urlForRoute("users") . "','New Members',2,0," . time() . ");");